#pragma once

#include "EventListener.h"
#include "BlockDestroyedEvent.h"
#include "LocationChangedEvent.h"

class AbstractEventListener : public EventListener
{
public:
    void process( Event *event ) override;

protected:
    virtual void onBlockDestroyed( const BlockDestroyedEvent &event ) = 0;
    virtual void onLocationChanged( const LocationChangedEvent &event ) = 0;
};